Component({
  /**
   * 组件的属性列表
   */
  properties: {
    data: {
      type: Object,
      value: {},
    },
    showLine: {
      type: Boolean,
      value: true,
    },
  },

  /**
   * 组件的初始数据
   */
  data: {},

  /**
   * 组件的方法列表
   */
  methods: {
    tapCommentAction: function (e) {
      const { currentItem, currentIndex } = e.currentTarget.dataset;
      let data = {};
      !!currentItem && (data.item = currentItem);
      !!currentIndex && (data.index = currentIndex);
      this.triggerEvent("reply", data);
    },
    tapDeleteAction(e) {
      const { currentItem, currentIndex } = e.currentTarget.dataset;
      let data = {};
      !!currentItem && (data.item = currentItem);
      !!currentIndex && (data.index = currentIndex);
      this.triggerEvent("delete", data);
    },
  },
});
